Bug 296117 - New Add Widgets dialog does not respect fractional font sizes
Summary: New Add Widgets dialog does not respect fractional font sizes
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget explorer (show other bugs)
Version: 4.9-git
Platform: unspecified Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-03-16 00:14 UTC by Christoph Feck
Modified: 2012-06-25 09:19 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Feck 2012-03-16 00:14:29 UTC
There is a pixel size difference between point sizes "9" and (say) "9.4" on high resolution displays. The new QML based explorer seems to not use the user-specified font, but constructs a new one by cloning it, but without taking into account the correct pointSizeF() value.
Comment 1 Aaron J. Seigo 2012-06-08 20:26:27 UTC
* screenshots?
* where is the font you are referring to specified?
* can you provide steps to reproduce?
Comment 2 David Edmundson 2012-06-08 20:30:35 UTC
The new Widget Exporer did not take Plasma font sizes into account at all until a patch by me a few hours ago.

This is probably what you were seeing. Please reopen if you still encounter thiss.
Comment 3 Christoph Feck 2012-06-09 03:04:06 UTC
David, can you point me to the commit(s)? I see the same issue with today's master.
Comment 4 Myriam Schweingruber 2012-06-10 00:20:43 UTC
Reopening based on last comment. Please make sure to use the commit hooks for fixes :)
Comment 5 Marco Martin 2012-06-25 09:19:36 UTC
Git commit 6447060559e045a861c23ae27bbcd1af74bd59f9 by Marco Martin.
Committed on 25/06/2012 at 11:17.
Pushed by mart into branch 'master'.

use pointSizeF
FIXED-IN:4.9

M  +1    -1    plasma/declarativeimports/core/theme.cpp

http://commits.kde.org/kde-runtime/6447060559e045a861c23ae27bbcd1af74bd59f9